aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xinstall.zsh5
1 files changed, 2 insertions, 3 deletions
diff --git a/install.zsh b/install.zsh
index 2c76cc4..edcf501 100755
--- a/install.zsh
+++ b/install.zsh
@@ -1,5 +1,5 @@
#!/usr/bin/env zsh
-set -eax
+set -e
__filename="$(realpath "$0")"
__dirname="$(dirname "$__filename")"
@@ -17,8 +17,7 @@ fi
mkdir -p "$TARGET"
if [[ "$(basename "$__filename")" == "zsh" ]]; then
- echo 'todo: implement this'
- exit 1
+ curl -fsSLo "$TARGET/zuwu.zsh" https://git.estrogen.zone/zuwu.git/plain/zuwu.zsh
else
cp -r "$__dirname/zuwu.zsh" "$TARGET/zuwu.zsh"
fi